org.apache.ignite.internal.pagemem.wal

## Class StorageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.pagemem.wal.StorageException

All Implemented Interfaces:
  Serializable, InvalidEnvironmentException

    public class StorageException
    extends IgniteCheckedException
    implements InvalidEnvironmentException

Exception is needed to distinguish WAL manager & page store critical I/O errors.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StorageException(IOException e)`
`StorageException(String msg)`
`StorageException(String msg, IOException cause)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StorageException

    public StorageException(String msg,
                            @NotNull
                            IOException cause)

Parameters:
  `msg` - Error message.
  `cause` - Error cause.

#### StorageException

    public StorageException(IOException e)

Parameters:
  `e` - Cause exception.

#### StorageException

    public StorageException(String msg)

Parameters:
  `msg` - Error message

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018